﻿// Le Transit-O-Tron : comment ameliorer son transit en parapente
//
//===========================================================================================
// Copyright (c) 2011 Thierry Bernier
// A utiliser a tes risques et périls : ton disque dur pourrait bien prendre feu.
// Tu peux utiliser ce code source comme bon te semble, du moment que ce copyright
// est conserve.
//===========================================================================================


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;

namespace TestG
{
    public partial class Form1 : Form
    {
        public Form1 ()
        {
            InitializeComponent ();

            pilote = new Modele.Pilote ();
            aile   = new Modele.Aile ();
            ciel   = new Modele.Sky ();
        }

        private Modele.Pilote pilote;
        private Modele.Aile aile;
        private Modele.Sky ciel;
        private Modele.Trajet trajet;
        private Random rnd = new Random ();

        private void button1_Click (object sender, EventArgs e)
        {
            ciel.mVent.X = (double)numericUpDown2.Value;
            ciel.mVent.H = (double)numericUpDown3.Value;
            DrawTraj ();
        }

        private void DrawTraj()
        {
            trajet = ciel.Fly (300.0, pilote, aile);

            chart1.Series[0].ChartType = SeriesChartType.Line;
            chart1.Series[0].Points.Clear ();
            //chart1.Series[0].Points.AddXY (0.0, 0.0);
            //chart1.Series[0].Points.AddXY (1000.0, 1000.0);
            //chart1.Series[0].Points.AddXY (0.0, 1000.0);
            //chart1.Series[0].Points.AddXY (1000.0, 0.0);
            foreach (Modele.Mobile m in trajet.mPositions)
            {
                chart1.Series[0].Points.AddXY (m.P.X, m.P.H);
            }
        }

        private void button2_Click (object sender, EventArgs e)
        {
            Series s = new Series ();
            s.ChartType = SeriesChartType.Line;
            for (int i = 0; i <= 10; ++i)
            {
                double d = (double) i / 10.0;
                s.Points.AddXY (d*3000.0, rnd.NextDouble()*1000.0);
            }
            chart1.Series.Add (s);
        }

        private void button3_Click (object sender, EventArgs e)
        {
            double d = (double) numericUpDown1.Value;
            Modele.Zone z = new Modele.Zone (d, d+100.0, 100.0, 400.0);
            z.Vent.X = (double)numericUpDown2.Value;
            z.Vent.H = (double)numericUpDown3.Value;
            ciel.mZones.Add (z);
            DrawTraj ();
        }

        private void button4_Click (object sender, EventArgs e)
        {
        }

        private void numericUpDown2_ValueChanged (object sender, EventArgs e)
        {
//            DrawTraj ();
        }

        private void numericUpDown3_ValueChanged (object sender, EventArgs e)
        {

        }
    }
}
